OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectFromSingleView Class Reference

This selection gets in all the model, the entities which are
attached to the views given as input. Only Single Views are
considered. This information is kept from Directory Part
(View Item).
.

`#include <IGESSelect_SelectFromSingleView.hxx>`

Inheritance diagram for IGESSelect_SelectFromSingleView:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SelectFromSingleView ()
| Creates a SelectFromSingleView .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Selects the Entities which are attached to the Single View(s) present in the Input .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns the label, with is "Entities attached to single View" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectFromSingleView::IGESSelect_SelectFromSingleView | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SelectFromSingleView::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectDeduct.

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectFromSingleView::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IGESSelect_SelectFromSingleView::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IGESSelect_SelectFromSingleView.hxx